lgt2svg(1)

NAME
lgt2svg - Logtalk script for converting DOT diagram files into SVG files

SYNOPSIS
lgt2svg [-c command] [-- arguments]
lgt2svg -v
lgt2svg -h

DESCRIPTION
lgt2svg is a Logtalk script for converting DOT diagram files into SVG files.

OPTIONS

-c  Graphviz command (valid values are dot, circo, fdp and neato; default is dot).

--  Arguments to be passed to Graphviz command (no default).

REQUIREMENTS
Requires a recent version of Graphviz installed with the command-line executables available from the system PATH.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKUSER/tools/diagrams/zoom.png
    Zoom icon for SVG diagram nodes.

$LOGTALKUSER/tools/diagrams/diagrams.css
    CSS file styling the SVG diagram files.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2021 Paulo Moura.